Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class CroppedPreviewCanvas

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Canvas
                  |
                  +--com.sun.jimi.core.component.CroppedPreviewCanvas

public class CroppedPreviewCanvas
extends java.awt.Canvas

A canvas for viewing large images to be used in conjuction with a scrolling container. Initially, the region of the image which is viewable on screen is rendered quickly for fast display, and then the rest of the image is decoded asynchronously.

See Also:
  Serialized Form

Field Summary
`protected java.awt.Image` | `completeImage`
`protected int` | `cropHeight`
`protected int` | `cropWidth`
`protected java.awt.Image` | `previewImage`
`protected JimiRasterImage` | `rasterImage`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`CroppedPreviewCanvas()`
`CroppedPreviewCanvas(int cropWidth, int cropHeight)`
`CroppedPreviewCanvas(int cropWidth, int cropHeight, JimiRasterImage image)`

Method Summary
`protected void` | `createCompleteImage()`
`protected void` | `createPreviewImage()`
`java.awt.Dimension` | `getPreferredSize()`
`void` | `paint(java.awt.Graphics g)`
`void` | `setCropDimensions(int cropWidth, int cropHeight)`
`void` | `setImage(JimiRasterImage image)`

Methods inherited from class java.awt.Canvas
`addNotify`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cropWidth

    protected int cropWidth

### cropHeight

    protected int cropHeight

### rasterImage

    protected JimiRasterImage rasterImage

### previewImage

    protected java.awt.Image previewImage

### completeImage

    protected java.awt.Image completeImage

Constructor Detail

### CroppedPreviewCanvas

    public CroppedPreviewCanvas()

### CroppedPreviewCanvas

    public CroppedPreviewCanvas(int cropWidth,
                                int cropHeight)

### CroppedPreviewCanvas

    public CroppedPreviewCanvas(int cropWidth,
                                int cropHeight,
                                JimiRasterImage image)

Method Detail

### getPreferredSize

    public java.awt.Dimension getPreferredSize()

  Overrides:
    getPreferredSize in class java.awt.Component

### setImage

    public void setImage(JimiRasterImage image)

### setCropDimensions

    public void setCropDimensions(int cropWidth,
                                  int cropHeight)

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    paint in class java.awt.Canvas

### createPreviewImage

    protected void createPreviewImage()

### createCompleteImage

    protected void createCompleteImage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD